package com.ruoyi.hywz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxContractInvoiceD;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 合同/发票预警信息表 Mapper 接口
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-09-12 18:01:36
 */
@Mapper
public interface AdsMatHyxtStampTaxContractInvoiceDMapper extends BaseMapper<AdsMatHyxtStampTaxContractInvoiceD> {
    @Delete("DELETE FROM ads_mat_hyxt_stamp_tax_contract_invoice_d where warning_status_desc = '未处理' ")
    int clearTable();

    List<AdsMatHyxtStampTaxContractInvoiceD> queryWarningListNew(AdsMatHyxtStampTaxContractInvoiceD param);
    void deleteErrorData();

    List<String> findContractIdByStatu();

    List<String> findInvoiceIdByStatu();
}
